Description

Currently (2.0.1) to connect to Oracle you need to know the Host details (IP and port). This is redundant because it is stored in

TNS-names.

In theory all that is required is either SID or SERVICE_NAME/GLOBAL_NAME which can then lookup the details. FME does it this way

and it works well, maybe QGIS can do it too.

History

#1 - 2013-09-25 05:37 AM - Jürgen Fischer

Did you set the TNS_ADMIN environment variable to the directory where your tnsnames.ora is?

#2 - 2013-09-25 06:09 AM - Jonathan Moules

My mistake - this is already in there and no TNS_ADMIN is needed. It's not "SID" that is used, it's SERVICE_NAME. Apologies for my confusion.

If I just fill in the "database" as SERVICE_NAME/GLOBAL_NAME, and leave host blank, then it works fine.

---

So my feature request changes:

  - Can the help and/or dialog be updated to reflect this? The current dialog implies that Host is mandatory in all situations. Just entering the database name

is much easier.

#3 - 2014-02-09 01:49 AM - Carlo Copat

Good morning, 

I have a problem with the connection to the spatial data with oracle. When I go to test the connection oracle gives me this error: ORA-12705 Can not

access NLS data files or invalid environment specified. Unable to connect. If I run the same connection with SQL Navigator everything is working

perfectly. You need to set some specific parameter in QGIS? thanks

#4 - 2014-02-10 04:15 AM - Jonathan Moules

Hi Carlo, I don't think that's the same issue. You might want to ask on the QGIS mailing list - http://www.qgis.org/en/site/forusers/support.html#mailing-lists

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
#6 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

2025-04-27 2/2


